Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0015949
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementmajoralways2011-02-10 20:022011-05-24 10:55
Reportereduardo_ArgalView Statuspublic 
Assigned Toeduardo_Argal 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branch2.50Fixed in SCM revision6b937c114ae0
ProjectionnoneETAnoneTarget Version3.0RC4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0015949: WEAK matches are cleared even if they are not flagged

DescriptionWhen matching againsta a bank statement, if there is a WEAK match which is not by default flagged and we save without flagging it, the system clears the line while it should not
Steps To Reproduce1.- Launch matching against bank statement
2.- Do notflag the weak match and save
3.- Mind that the line has been cleared
TagsclosingMay2011
Attached Files file icon Extracto_prueba_N43 [^] (1,886 bytes) 2011-02-28 17:38 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00159483.0RC4 closededuardo_Argal WEAK matches are cleared even if they are not flagged 

-  Notes
(0034144)
hgbot (developer)
2011-02-10 20:09

Repository: erp/pmods/org.openbravo.advpaymentmngt
Changeset: 6b937c114ae078601413549ec6e6e68ffc31ea84
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Thu Feb 10 20:10:47 2011 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.advpaymentmngt/rev/6b937c114ae078601413549ec6e6e68ffc31ea84 [^]

Fixes bug 0015949: WEAK matches are cleared even if they are not flagged

---
M src/org/openbravo/advpaymentmngt/ad_actionbutton/MatchTransaction.java
---
(0034435)
mirurita (developer)
2011-02-28 17:29

Steps to reproduce more in detail:
1) Install Cuaderno43 or StandardOFX modules for importing a bank statement file.
2) Import a bank statement file. (see attached file compatible with Cuaderno43)
3) Select in the financial account the 'Standard' matching algorithm.
4) Create a transaction that will weakly match with one of the bank statement lines. For a weak match, at least the business partner should match.
5) From the transactions tab of the financial account window, click on match using import bank statement button.
6) Realize that the algorithm proposes as a week match the previously entered transaction.
7) Do not match (don't click in the checkbox) and save.
8) Check that the transaction does not belong to the reconciliation.

- Issue History
Date Modified Username Field Change
2011-02-10 20:03 eduardo_Argal Type defect => backport
2011-02-10 20:03 eduardo_Argal fix_in_branch => 2.50
2011-02-10 20:09 hgbot Checkin
2011-02-10 20:09 hgbot Note Added: 0034144
2011-02-10 20:09 hgbot Status scheduled => resolved
2011-02-10 20:09 hgbot Resolution open => fixed
2011-02-10 20:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.advpaymentmngt/rev/6b937c114ae078601413549ec6e6e68ffc31ea84 [^]
2011-02-28 17:29 mirurita Note Added: 0034435
2011-02-28 17:38 adrianromero File Added: Extracto_prueba_N43
2011-05-24 10:11 dalsasua Tag Attached: closingMay2011
2011-05-24 10:55 dalsasua Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker